> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recommendations



## OpenAPI

````yaml /openapi.json get /v1/recommendations
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/recommendations:
    get:
      tags:
        - recommendations
      summary: List Recommendations
      operationId: list_recommendations_v1_recommendations_get
      parameters:
        - description: code_fix|config_change|process|monitoring
          in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: code_fix|config_change|process|monitoring
            title: Type
        - description: pending|in_progress|implemented|dismissed (comma-separated for OR)
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: pending|in_progress|implemented|dismissed (comma-separated for OR)
            title: Status
        - description: high|medium|quick_win
          in: query
          name: impact
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: high|medium|quick_win
            title: Impact
        - description: >-
            rank | -rank | -created_at | created_at | -expected_loops_prevented
            | -updated_at
          in: query
          name: sort
          required: false
          schema:
            default: rank
            description: >-
              rank | -rank | -created_at | created_at |
              -expected_loops_prevented | -updated_at
            title: Sort
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````